## Structure description:
# filesystem:
#   src: # main folders
#   System_name:
#     name: name of the system
#     institution: 
#     src: system folder
#     monthly_mean: {"variable_name1":"monthly_mean_variable1_path",
#                    "variable_name2":"monthly_mean_variable2_path"}
#     daily_mean: {"variable_name1":"daily_mean_variable1_path"}
#     nmember:
#       fcst: # number of forecast members
#       hcst: # number of hindcast members
#     calendar: # calendar type
#     reference_grid: .nc or .txt file with grid information
#     land_sea_mask: path to the land-sea mask file
#     time_stamp_lag: +1 when the time stamps in the file point to the month
#       *after* the real date. 0 when the time stamps are correct.

gpfs:
  src_sys: "/gpfs/projects/bsc32/esarchive_cache/"
  System:
    ECMWF-SEAS5.1:
      name: "ECMWF SEAS5 (v5.1)"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/ecmwf/system51c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_s0-24h/",
                     "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "psl":"monthly_mean/psl_f6h/"}
      nmember:
        fcst: 51
        hcst: 25
      calendar: "proleptic_gregorian"
      time_stamp_lag: "0"
      reference_grid: "conf/grid_description/griddes_system51c3s.txt" 
      land_sea_mask: "/gpfs/projects/bsc32/esarchive_cache/exp/ecmwf/system51c3s/constant/lsm/lsm.nc"
    CMCC-SPS3.5:
      name: "CMCC-SPS3.5"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/cmcc/system35c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_f24h/",
                     "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "psl":"monthly_mean/psl_f6h/"}
      nmember:
        fcst: 50
        hcst: 40
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_system35c3s.txt"
    Meteo-France-System8:
      name: "Meteo-France System 8"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/meteofrance/system8c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_s0-24h/",
                     "sfcWind": "monthly_mean/sfcWind_f6h/",
                     "psl":"monthly_mean/psl_f6h/"}
      nmember:
        fcst: 51
        hcst: 25
      time_stamp_lag: "+1"
      calendar: "proleptic_gregorian"
      reference_grid: "conf/grid_description/griddes_system7c3s.txt"
    UK-MetOffice-Glosea601:
      name: "UK MetOffice GloSea 6 (v6.01)"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/ukmo/glosea6_system601-c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_f24h/",
                     "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "psl":"monthly_mean/psl_f6h/"}
      nmember:
        fcst: 62
        hcst: 28
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_ukmo600.txt"
    NCEP-CFSv2:
      name: "NCEP CFSv2"
      institution: "NOAA NCEP" #?
      src: "exp/ncep/system2c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_f24h/",
                     "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "psl":"monthly_mean/psl_f6h/"}
      nmember:
        fcst: 124
        hcst: 24
      calendar: "gregorian"
      time_stamp_lag: "0"
      reference_grid: "conf/grid_description/griddes_ncep-cfsv2.txt"
    DWD-GCFS2.1:
      name: "DWD GCFS 2.1"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/dwd/system21c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_s0-24h/",
                     "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "psl":"monthly_mean/psl_f6h/",
                     "tasmin":"monthly_mean/tasmin_s0-24h/",
                     "tasmax":"monthly_mean/tasmax_s0-24h/" }
      nmember:
        fcst: 50
        hcst: 30
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_system21_m1.txt"
    ECCC-CanCM4i:
      name: "ECCC CanCM4i (v3)"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/eccc/eccc3/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_s0-24h/",
                     "sfcWind":"monthly_mean/sfcWind_f6h/", 
                     "psl":"monthly_mean/psl_f6h/"}
      nmember:
        fcst: 10
        hcst: 10
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_eccc1.txt"
    ECCC-GEM5.2-NEMO:
      name: "ECCC GEM5.2-NEMO"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/eccc/eccc5/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/",
                     "prlr":"monthly_mean/prlr_s0-24h/"}
      nmember:
        fcst: 20
        hcst: 20
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_eccc5.txt"
  Reference:
    ERA5:
      name: "ERA5"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "recon/ecmwf/era5/"
      monthly_mean: {"tas":"monthly_mean/tas_f1h-r1440x721cds/",
                     "psl":"monthly_mean/psl_f1h-r1440x721cds/",
                     "prlr":"monthly_mean/prlr_f1h-r1440x721cds/",
                     "sfcWind":"monthly_mean/sfcWind_f1h-r1440x721cds/"}
      calendar: "standard"
      reference_grid: "/gpfs/projects/bsc32/esarchive_cache/recon/ecmwf/era5/monthly_mean/tas_f1h-r1440x721cds/tas_201805.nc"
      land_sea_mask: "/gpfs/projects/bsc32/esarchive_cache/recon/ecmwf/era5/constant/lsm-r1440x721cds/sftof.nc"
  
#########################################################################
esarchive:
  src_sys: "/esarchive/"
  System:
    ECMWF-SEAS5:
      name: "ECMWF SEAS5"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/ecmwf/system5c3s/"
      daily_mean: {"tas":"daily_mean/tas_f6h/", "rsds":"daily/rsds_s0-24h/",
                   "prlr":"daily/prlr_s0-24h/", "tasmin":"daily/tasmin/",
                   "tasmax":"daily/tasmax/", "sfcWind":"daily_mean/sfcWind_f6h/",
                   "ta300":"daily_mean/ta300_f12h/", "ta500":"daily_mean/ta500_f12h/",
                   "ta850":"daily_mean/ta850_f12h/", "g300":"daily_mean/g300_f12h/", 
                   "g500":"daily_mean/g500_f12h/", "g850":"daily_mean/g850_f12h/",
                   "tdps":"daily_mean/tdps_f6h/", "hurs":"daily_mean/hurs_f6h/"}
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "rsds":"monthly_mean/rsds_s0-24h/",
                     "prlr":"monthly_mean/prlr_s0-24h/",
                     "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "tasmin":"monthly_mean/tasmin_f24h/",
                     "tasmax":"monthly_mean/tasmax_f24h/",
                     "ta300":"monthly_mean/ta300_f12h/", "ta500":"monthly_mean/ta500_f12h/",
                     "ta850":"monthly_mean/ta850_f12h/", "g300":"monthly_mean/g300_f12h/",
                     "g500":"monthly_mean/g500_f12h/", "g850":"monthly_mean/g500_f12h/",
                     "tdps":"monthly_mean/tdps_f6h/", "psl":"monthly_mean/psl_f6h/",
                     "tos":"monthly_mean/tos_f6h/", "sic":"monthly_mean/sic_f24h/"}
      nmember:
        fcst: 51
        hcst: 25
      calendar: "proleptic_gregorian"
      time_stamp_lag: "0"
      reference_grid: "/esarchive/exp/ecmwf/system5c3s/monthly_mean/tas_f6h/tas_20180501.nc"
      land_sea_mask: "/esarchive/exp/ecmwf/system5c3s/constant/lsm/lsm.nc"
    ECMWF-SEAS5.1:
      name: "ECMWF SEAS5 (v5.1)"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/ecmwf/system51c3s/"
      daily_mean: {"tas":"daily_mean/tas_f6h/", "prlr":"daily/prlr_s0-24h/",
                   "sfcWind":"daily_mean/sfcWind_f6h/",
                   "uas":"daily_mean/uas_f6h/", "vas":"daily_mean/vas_f6h/",
                   "psl":"daily_mean/psl_f6h/", "tdps":"daily_mean/tdps_f6h/"}
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "rsds":"monthly_mean/rsds_s0-24h/",
                     "prlr":"monthly_mean/prlr_s0-24h/", "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "tasmin":"monthly_mean/tasmin_f24h/", "tasmax":"monthly_mean/tasmax_f24h/",
                     "uas":"monthly_mean/uas_f6h/", "vas":"monthly_mean/vas_f6h/",
                     "psl":"monthly_mean/psl_f6h/", "tdps":"monthly_mean/tdps_f6h/"}
      nmember:
        fcst: 51
        hcst: 25
      calendar: "proleptic_gregorian"
      time_stamp_lag: "0"
      reference_grid: "conf/grid_description/griddes_system51c3s.txt"
    Meteo-France-System7:
      name: "Meteo-France System 7"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/meteofrance/system7c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "g500":"monthly_mean/g500_f12h/",
                     "prlr":"monthly_mean/prlr_f24h/", "sfcWind": "monthly_mean/sfcWind_f6h/",
                     "tasmax":"monthly_mean/tasmax_f6h/", "tasmin": "monthly_mean/tasmin_f6h/",
                     "tos":"monthly_mean/tos_f6h/"}
      nmember:
        fcst: 51
        hcst: 25
      time_stamp_lag: "+1"
      calendar: "proleptic_gregorian"
      reference_grid: "conf/grid_description/griddes_system7c3s.txt"
    DWD-GCFS2.1:
      name: "DWD GCFS 2.1"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/dwd/system21c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "prlr":"monthly_mean/prlr_s0-24h/",
                     "g500":"monthly_mean/g500_f12h/", "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "tasmin":"monthly_mean/tasmin_s0-24h/", "tasmax":"monthly_mean/tasmax_s0-24h/"}
      nmember:
        fcst: 50
        hcst: 30
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_system21_m1.txt"
    CMCC-SPS3.5:
      name: "CMCC-SPS3.5"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/cmcc/system35c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "prlr":"monthly_mean/prlr_f24h/",
                     "g500":"monthly_mean/g500_f12h/", "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "tasmin":"monthly_mean/tasmin_f24h/", "tasmax":"monthly_mean/tasmax_f24h/"}
      nmember:
        fcst: 50
        hcst: 40
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_system35c3s.txt"
    JMA-CPS2:
      name: "JMA System 2"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/jma/system2c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "prlr":"monthly_mean/prlr_f6h/",
                     "tasmax":"monthly_mean/tasmax_f6h/", "tasmin":"monthly_mean/tasmin_f6h/"}
      nmember:
        fcst: 10
        hcst: 10
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_system2c3s.txt"
    JMA-MRI-CPS3:
      name: "JMA MRI-CPS3"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/jma/system3c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "prlr":"monthly_mean/prlr_s0-24h/",
                     "tasmax":"monthly_mean/tasmax_f6h/", "tasmin":"monthly_mean/tasmin_f6h/"}
      nmember:
        fcst: 155
        hcst: 10
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_eccc1.txt"

    ECCC-CanCM4i:
      name: "ECCC CanCM4i"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/eccc/eccc1/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "prlr":"monthly_mean/prlr_f6h/",
                     "tasmax":"monthly_mean/tasmax_f6h/", "tasmin":"monthly_mean/tasmin_f6h/"}
      nmember:
        fcst: 10
        hcst: 10
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_eccc1.txt"
    UK-MetOffice-Glosea600:
      name: "UK MetOffice GloSea 6 (v6.0)"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "exp/ukmo/glosea6_system600-c3s/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "tasmin":"monthly_mean/tasmin_f24h/",
                     "tasmax":"monthly_mean/tasmax_f24h/", "prlr":"monthly_mean/prlr_f24h/"}
      nmember:
        fcst: 62
        hcst: 28
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_ukmo600.txt"
    NCEP-CFSv2:
      name: "NCEP CFSv2"
      institution: "NOAA NCEP" #?
      src: "exp/ncep/cfs-v2/"
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "prlr":"monthly_mean/prlr_f6h/",
                     "tasmax":"monthly_mean/tasmax_f6h/", "tasmin":"monthly_mean/tasmin_f6h/"}
      nmember:
        fcst: 20
        hcst: 20
      calendar: "gregorian"
      time_stamp_lag: "0"
      reference_grid: "conf/grid_description/griddes_ncep-cfsv2.txt"
mars:
  src_sys: "/esarchive/scratch/aho/tmp/GRIB/"  #"/mars/"
  System:
    ECMWF-SEAS5:
      name: "ECMWF SEAS5"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "GRIB_system5_tas_CORRECTED/"
      monthly_mean: {"tas":""}
      nmember:
        fcst: 51
        hcst: 51
      calendar: "proleptic_gregorian"
      time_stamp_lag: "+1"
      reference_grid: "conf/grid_description/griddes_GRIB_system5_m1.txt"

sample:
  src_sys: 
  System:
    ECMWF-SEAS5.1:
      name: "ECMWF SEAS5"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: 
      monthly_mean: {"tas":"", "prlr":""}
      nmember:
        fcst: 15
        hcst: 15
      calendar: "proleptic_gregorian"
      time_stamp_lag: "0"
      reference_grid: "conf/grid_description/griddes_GRIB_system51_m1.txt"

IFCA:
  src_sys: "/home/jovyan/IMPETUS4CHANGE/data/BSC/"
  System:
    ECMWF-SEAS5:
      name: "ECMWF SEAS5"
      institution: "European Centre for Medium-Range Weather Forecasts"
      src: "ECMWF-SEAS5/"
      daily_mean: {"tas":"daily_mean/tas_f6h/", "psl":"daily_mean/psl_f6h/",
                   "prlr":"daily_mean/prlr_s0-24h/", "sfcWind":"daily_mean/sfcWind_f6h/",
                   "tasmin":"daily_mean/tasmin/", "tasmax":"daily_mean/tasmax/",
                   "hurs":"daily_mean/hurs_f6h/"}
      monthly_mean: {"tas":"monthly_mean/tas_f6h/", "hurs":"monthly_mean/hurs_f6h/",
                     "prlr":"monthly_mean/prlr_s0-24h/", "sfcWind":"monthly_mean/sfcWind_f6h/",
                     "tasmin":"monthly_mean/tasmin_f24h/", "tasmax":"monthly_mean/tasmax_f24h/"}
      nmember:
        fcst: 51
        hcst: 25
      calendar: "proleptic_gregorian"
      time_stamp_lag: "0"
      reference_grid: "/home/jovyan/IMPETUS4CHANGE/data/BSC/ECMWF-SEAS5/monthly_mean/tas_f6h/tas_20180501.nc"
